# NAME

Trf_DeleteCtrlBlock - Interface to procedure for destruction of encoder/decoder control structures.

# SYNOPSIS

    #include <transform.h>

    void Trf_DeleteCtrlBlock
    (
    	Trf_ControlBlock ctrlBlock,
    	ClientData clientData
    );

# PARAMETERS

Trf_ControlBlock ctrlBlock
  Control structure to destroy.
ClientData clientData
  Arbitrary information, as defined in Trf_TypeDefinition.clientData.

# DESCRIPTION

It is the responsibility of the procedure to clear and release all memory associated to the specified control structure (which must have been created by the appropriate procedure of type 'Trf_CreateCtrlBlock').

# SEE ALSO

Trf_Init , Trf_SafeInit , Trf_IsInitialized , Trf_CreateOptions , Trf_DeleteOptions , Trf_CheckOptions , Trf_SetOption , Trf_SetObjOption , Trf_QueryOptions , Trf_SeekQueryOptions , Trf_WriteProc , Trf_CreateCtrlBlock , Trf_TransformCharacter , Trf_TransformBuffer , Trf_FlushTransformation , Trf_ClearCtrlBlock , Trf_QueryMaxRead , Trf_Register , Trf_ConverterOptions , Trf_MDStart , Trf_MDUpdate , Trf_MDUpdateBuf , Trf_MDFinal , Trf_MDCheck , Trf_RegisterMessageDigest , Trf_LoadLibrary , Trf_XorBuffer , Trf_ShiftRegister , Trf_FlipRegisterShort , Trf_FlipRegisterLong , Trf_InitStubs